#!/usr/local/bin/perl5 -w

use vars qw($usage);
$usage = "$0 <text string to put in holder file>\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

(undef, undef, undef, undef, $forbidfn) = &lock_info;

if (not -e $forbidfn) {
  print STDERR "Running is not forbidden on this machine";
  exit(-1);
}

print "This was the old forbid information:\n";
open (FH, "<$forbidfn") || die "Could not open forbid file '$forbidfn': $!";
print (<FH>);
close FH;

unlink $forbidfn || die "Could not remove forbid file '$forbidfn': $!";

print "Running is now allowed on this machine\n";
